< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package githubclient
  Definition Classes
    hmrc
- APIRateLimitExceededException
- DefaultGithubClientMetrics
- ExtendedContentsService
- ExtendedGitHubClient
- ExtendedRepository
- ExtendedRepositoryService
- ExtendedTeamService
- GhOrganisation
- GhRepoRelease
- GhRepoTag
- GhRepository
- GhTeam
- GitApiConfig
- GithubApiClient
- GithubClientMetrics
- Hook
- HookConfig
- HookContentType
- HookEvent
- HookId
- HookName
- HookSecret
- HooksApi
- JavaDateTimeJsonFormatter
- Log
- NonEmptyString
- OrganisationName
- ReleaseService
- RepositoryName
- Url

c

uk.gov.hmrc.githubclient

# ExtendedRepositoryService 

###

#### class ExtendedRepositoryService extends RepositoryService

Linear Supertypes
RepositoryService, GitHubService, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtendedRepositoryService
2. RepositoryService
3. GitHubService
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ExtendedRepositoryService(client: ExtendedGitHubClient)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def check(arg0: String): Boolean
   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
   Annotations
     @throws( classOf[java.io.IOException] )
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  def createHook(arg0: IRepositoryIdProvider, arg1: RepositoryHook): RepositoryHook
   Definition Classes
     RepositoryService
   Annotations
     @throws( classOf[java.io.IOException] )
8.  def createPageIterator[V](arg0: PagedRequest[V]): PageIterator[V]
   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     GitHubService
9.  def createPagedForkRequest(arg0: IRepositoryIdProvider, arg1: Int, arg2: Int): PagedRequest[Repository]
   Attributes
     protected[org.eclipse.egit.github.core.service]
   Definition Classes
     RepositoryService
10.  def createPagedRequest[V](arg0: Int, arg1: Int): PagedRequest[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
11.  def createPagedRequest[V](): PagedRequest[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
12.  def createRepository(arg0: String, arg1: Repository): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
13.  def createRepository(arg0: Repository): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
14.  def createRequest(): GitHubRequest
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
15.  def deleteHook(arg0: IRepositoryIdProvider, arg1: Int): Unit
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
16.  def editHook(arg0: IRepositoryIdProvider, arg1: RepositoryHook): RepositoryHook
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
17.  def editRepository(arg0: IRepositoryIdProvider, arg1: Map[String, AnyRef]): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
18.  def editRepository(arg0: String, arg1: String, arg2: Map[String, AnyRef]): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
19.  def editRepository(arg0: Repository): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
23.  def forkRepository(arg0: IRepositoryIdProvider, arg1: String): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
24.  def forkRepository(arg0: IRepositoryIdProvider): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
25.  def getAll[V](arg0: PageIterator[V]): List[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )
26.  def getAll[V](arg0: PagedRequest[V]): List[V]
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
    Annotations
      @throws( classOf[java.io.IOException] )
27.  def getBranches(arg0: IRepositoryIdProvider): List[RepositoryBranch]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def getClient(): GitHubClient
    Definition Classes
      GitHubService
30.  def getContributors(arg0: IRepositoryIdProvider, arg1: Boolean): List[Contributor]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
31.  def getForks(arg0: IRepositoryIdProvider): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
32.  def getHook(arg0: IRepositoryIdProvider, arg1: Int): RepositoryHook
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
33.  def getHooks(arg0: IRepositoryIdProvider): List[RepositoryHook]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
34.  def getId(arg0: IRepositoryIdProvider): String
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
35.  def getLanguages(arg0: IRepositoryIdProvider): Map[String, Long]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
36.  def getOrgExtendedRepositories(org: String): List[ExtendedRepository]
37.  def getOrgRepositories(arg0: String, arg1: Map[String, String]): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
38.  def getOrgRepositories(arg0: String): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
39.  def getRepositories(arg0: String): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
40.  def getRepositories(arg0: Map[String, String]): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
41.  def getRepositories(): List[Repository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
42.  def getRepository(arg0: IRepositoryIdProvider): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
43.  def getRepository(arg0: String, arg1: String): Repository
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
44.  def getTags(arg0: IRepositoryIdProvider): List[RepositoryTag]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
45.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
46.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
47.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
48.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
49.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
50.  def pageAllRepositories(arg0: Long): PageIterator[Repository]
    Definition Classes
      RepositoryService
51.  def pageAllRepositories(): PageIterator[Repository]
    Definition Classes
      RepositoryService
52.  def pageForks(arg0: IRepositoryIdProvider, arg1: Int, arg2: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
53.  def pageForks(arg0: IRepositoryIdProvider, arg1: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
54.  def pageForks(arg0: IRepositoryIdProvider): PageIterator[Repository]
    Definition Classes
      RepositoryService
55.  def pageOrgRepositories(arg0: String, arg1: Map[String, String], arg2: Int, arg3: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
56.  def pageOrgRepositories(arg0: String, arg1: Map[String, String], arg2: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
57.  def pageOrgRepositories(arg0: String, arg1: Map[String, String]): PageIterator[Repository]
    Definition Classes
      RepositoryService
58.  def pageOrgRepositories(arg0: String, arg1: Int, arg2: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
59.  def pageOrgRepositories(arg0: String, arg1: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
60.  def pageOrgRepositories(arg0: String): PageIterator[Repository]
    Definition Classes
      RepositoryService
61.  def pageRepositories(arg0: String, arg1: Int, arg2: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
62.  def pageRepositories(arg0: String, arg1: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
63.  def pageRepositories(arg0: String): PageIterator[Repository]
    Definition Classes
      RepositoryService
64.  def pageRepositories(arg0: Map[String, String], arg1: Int, arg2: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
65.  def pageRepositories(arg0: Map[String, String], arg1: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
66.  def pageRepositories(arg0: Map[String, String]): PageIterator[Repository]
    Definition Classes
      RepositoryService
67.  def pageRepositories(arg0: Int, arg1: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
68.  def pageRepositories(arg0: Int): PageIterator[Repository]
    Definition Classes
      RepositoryService
69.  def pageRepositories(): PageIterator[Repository]
    Definition Classes
      RepositoryService
70.  def searchRepositories(arg0: Map[String, String], arg1: Int): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
71.  def searchRepositories(arg0: Map[String, String]): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
72.  def searchRepositories(arg0: String, arg1: String, arg2: Int): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
73.  def searchRepositories(arg0: String, arg1: String): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
74.  def searchRepositories(arg0: String, arg1: Int): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
75.  def searchRepositories(arg0: String): List[SearchRepository]
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
76.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
77.  def testHook(arg0: IRepositoryIdProvider, arg1: Int): Unit
    Definition Classes
      RepositoryService
    Annotations
      @throws( classOf[java.io.IOException] )
78.  def toString(): String
    Definition Classes
      AnyRef → Any
79.  def verifyRepository(arg0: String, arg1: String): GitHubService
    Attributes
      protected[org.eclipse.egit.github.core.service]
    Definition Classes
      GitHubService
80.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
81.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
82.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from RepositoryService

### Inherited from GitHubService

### Inherited from AnyRef

### Inherited from Any

### Ungrouped